Subject: Image::Size 2.6 uploaded to CPAN
From: [email-masked] (Randy J. Ray)
Date: 31 Jan 1998 15:22:54 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

(While the variations on format in XPM and XBM that break earlier releases
are rare, if you are using Image::Size on the formats on a regular basis,
you may want to update just in case.)

Version 2.6 of Image::Size has been uploaded to PAUSE, and will propagate
to all CPAN sites over the next few days.

To build and install, you will need perl 5.002 or later, and sufficient
access to install an extension.

Summary of Changes in 2.6:

* 2.5 did not actually deliver the tests for the new TIFF code. Oops.

* Found some variations of the formats of XPM and XBM that were not
  compatible with the regex's being used. Tricky, flexible little devils,
  especially XPM.

>From the README file for 2.6:

Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives. Image::Size has generalized that code to return a raw (X, Y)
pair, and included wrappers to pre-format that output into either HTML or a
set of attribute pairs suitable for the CGI.pm library by Lincoln Stein.
Currently, Image::Size can size images in XPM, XBM, GIF, JPEG, TIFF, PNG and
the PPM family of formats (PPM/PGM/PBM).

I did this because my WWW server generates a lot of documents on demand
rather than keeping them in static files. These documents not only use
directional icons and buttons, but other graphics to annotate and highlight
sections of the text. Without size attributes, browsers cannot render the
text of a page until the image data is loaded and the size known for layout.
This library enables scripts to size their images at run-time and include
that as part of the generated HTML. Or for any other utility that uses and
manipulates graphics. The idea of the basic interface + wrappers is to not
limit the programmer to a certain data format.

Please send any reports of problems or bugs to [email-masked]. I wouldn't
mind a short note to know that you're using this, just so I can justify its
continued development to my manager :-). (In seriousness, a rough idea of
how many others are using this will help promote its upkeep.)

This package is copyright (c) 1998 by Randy Ray ([email-masked]) and is
made available to the Perl public under terms of the Artistic License used to
cover Perl itself. See the file Artistic in the distribution  of Perl 5.002 or
later for details of copy and distribution terms.

Perl module interface by Randy J. Ray ([email-masked]), original
image-sizing code by Alex Knowles ([email-masked]) and Andrew Tong
([email-masked]), used with their joint permission.

Some bug fixes submitted by Bernd Leibing <[email-masked]>.
PPM/PGM/PBM sizing code contributed by Carsten Dominik
<[email-masked]>. Tom Metro <[email-masked]> re-wrote the JPG and
PNG code, and also provided a PNG image for the test suite. Dan Klein
<[email-masked]> contributed a re-write of the GIF code. Cloyce Spradling
<[email-masked]> contributed the TIFF sizing code and test images.
A fix for reading binary data on PC-ish operating systems was contributed by
Silas Dunsmore <[email-masked]>.

-- 
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
Randy J. Ray                                                       408-343-7578
                                                           [email-masked]
"Reach up your hand, if your cup be empty/If your cup is full, may it be again"
                                                --Grateful Dead, "Ripple"